Debian Bug report logs - #456165
ITP: handbrake -- Rips and encodes DVDs

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Josh Triplett <josh@joshtriplett.org>

Date: Thu, 13 Dec 2007 11:21:02 UTC

Owned by: pkg-multimedia-maintainers@lists.alioth.debian.org

Severity: wishlist

Merged with 567863

Done: Mònica Ramírez Arceda <monica@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, josh@freedesktop.org, <wnpp@debian.org>:
Bug#456165; Package wnpp. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@freedesktop.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: handbrake -- Rips and encodes DVDs
Date: Thu, 13 Dec 2007 03:16:44 -0800
Package: wnpp
Severity: wishlist

* Package name    : handbrake
  Version         : 0.9.1
  Upstream Author : Various; see <http://handbrake.m0k.org/?article=development>
* URL             : http://handbrake.m0k.org/
* License         : GPL
  Programming Lang: C
  Description     : Rips and encodes DVD videos

Handbrake provides a friendly graphical interface for ripping DVD
videos and encoding them as video files.  It can show a preview of
content before ripping, to verify titles and chapters.  It can
deinterlace, crop, and scale video.  It supports DVD subtitles by
encoding them directly in the video image.
..
Handbrake supports numerous formats and codecs:
 - File format: MPEG-4 (MP4), Matroska (MKV), Ogg (OGM), or AVI
 - Video: MPEG-4 or H.264 (1 or 2 passes or constant quantizer/rate
   encoding)
 - Audio: AAC, MP3, Vorbis or AC-3 pass-through (supports encoding of
   several audio tracks)
..
Handbrake also provides a command-line interface, HandbrakeCLI.


Some notes on Handbrake:

* Its build system needs some serious work.  It wants to download and
  build all its dependencies at build time, and statically link to
  those copies.  (I have not actually managed to get it to build, due
  to build errors in one of these libraries.)  This will need to
  change to support dynamically linking to system libraries.

* Some of the libraries it depends on do not exist in Debian due to
  legal problems such as patent issues or anti-circumvention laws.
  For libdvdcss, ideally it could do the same thing all the DVD
  players in Debian do: use libdvdread (which Handbrake already does),
  and let libdvdread pull in libdvdcss if installed.  For encumbered
  codecs, ideally it could pick up libraries if installed and disable
  the corresponding codecs if not; however, if it cannot, then perhaps
  it could have a DEB_BUILD_OPTIONS=risky like ffmpeg.

* Build-Depends available in Debian: jam, liba52-0.7.4-dev,
  libavcodec-dev, libdvdread3-dev, libmpeg2-4-dev, libogg-dev,
  libvorbis-dev, libsamplerate0-dev

- Josh Triplett

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-rc1 (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#456165; Package wnpp. (Thu, 23 Oct 2008 18:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 23 Oct 2008 18:42:02 GMT) Full text and rfc822 format available.

Message #8 received at 456165@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Josh Triplett <josh@freedesktop.org>, 456165@bugs.debian.org
Subject: Re: Bug#456165: RFP: handbrake -- Rips and encodes DVDs
Date: Thu, 23 Oct 2008 20:39:28 +0200
* Josh Triplett <josh@freedesktop.org> [2007-12-13 03:16]:
> * Package name    : handbrake

Do you know if anyone has managed to produce debs in the meantime?

(Or do you know about another utility that is easy to use?)
-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#456165; Package wnpp. (Thu, 23 Oct 2008 21:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Marillat <marillat@free.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Thu, 23 Oct 2008 21:18:05 GMT) Full text and rfc822 format available.

Message #13 received at 456165@bugs.debian.org (full text, mbox):

From: Christian Marillat <marillat@free.fr>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 456165@bugs.debian.org, Josh Triplett <josh@freedesktop.org>
Subject: Re: Bug#456165: RFP: handbrake -- Rips and encodes DVDs
Date: Thu, 23 Oct 2008 23:13:33 +0200
Martin Michlmayr <tbm@cyrius.com> writes:

> * Josh Triplett <josh@freedesktop.org> [2007-12-13 03:16]:
>> * Package name    : handbrake
>
> Do you know if anyone has managed to produce debs in the meantime?
>
> (Or do you know about another utility that is easy to use?)

RFP or ITP for video/audio encoder are really necessary for Debian
when most of the popular codecs are disabled ?

Christian




Reply sent to Josh Triplett <josh@joshtriplett.org>:
You have taken responsibility. (Tue, 28 Oct 2008 09:00:04 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@freedesktop.org>:
Bug acknowledged by developer. (Tue, 28 Oct 2008 09:00:04 GMT) Full text and rfc822 format available.

Message #18 received at 456165-done@bugs.debian.org (full text, mbox):

From: Josh Triplett <josh@joshtriplett.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 456165-done@bugs.debian.org
Subject: Re: Bug#456165: RFP: handbrake -- Rips and encodes DVDs
Date: Tue, 28 Oct 2008 01:58:36 -0700
[Message part 1 (text/plain, inline)]
On Thu, 2008-10-23 at 20:39 +0200, Martin Michlmayr wrote:
> * Josh Triplett <josh@freedesktop.org> [2007-12-13 03:16]:
> > * Package name    : handbrake
> 
> Do you know if anyone has managed to produce debs in the meantime?

I don't know, but...

> (Or do you know about another utility that is easy to use?)

Yes.  I found ogmrip significantly easier to use, and it also doesn't
require major surgery to make it suitable for packaging.  Christian
Marillat already has packages of ogmrip on debian-multimedia.

I no longer have any need for handbrake packages, so I'll close this RFP
with this mail.  If anyone else wants handbrake, they can reopen the RFP
and set themselves as the submitter.

- Josh Triplett

[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Nov 2008 07:28:50 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:30:26 GMT) Full text and rfc822 format available.

Changed Bug submitter from Josh Triplett <josh@freedesktop.org> to Josh Triplett <josh@joshtriplett.org>. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:30:27 GMT) Full text and rfc822 format available.

Bug archived. Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 09:30:27 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Rogério Brito <rbrito@ime.usp.br> to control@bugs.debian.org. (Sat, 10 Sep 2011 19:51:03 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 10 Sep 2011 19:57:04 GMT) Full text and rfc822 format available.

Merged 456165 567863. Request was from Rogério Brito <rbrito@ime.usp.br> to control@bugs.debian.org. (Sat, 10 Sep 2011 19:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#456165; Package wnpp. (Sat, 12 May 2012 14:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 12 May 2012 14:39:04 GMT) Full text and rfc822 format available.

Message #37 received at 456165@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: control@bugs.debian.org, 456165@bugs.debian.org
Cc: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: ITP: handbrake -- Rips and encodes DVDs
Date: Sat, 12 May 2012 10:30:14 -0400
owner 456165 pkg-multimedia-maintainers@lists.alioth.debian.org
retitle 456165 ITP: handbrake -- Rips and encodes DVDs
stop

The package is now being worked on. See [1].

1. http://anonscm.debian.org/gitweb/?p=pkg-multimedia/handbrake.git




Owner recorded as pkg-multimedia-maintainers@lists.alioth.debian.org. Request was from Andres Mejia <amejia004@gmail.com> to control@bugs.debian.org. (Sat, 12 May 2012 14:39:18 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: handbrake -- Rips and encodes DVDs' from 'RFP: handbrake -- Rips and encodes DVDs' Request was from Andres Mejia <amejia004@gmail.com> to control@bugs.debian.org. (Sat, 12 May 2012 14:39:20 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Sat, 12 May 2012 15:45:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Sat, 12 May 2012 15:45:21 GMT) Full text and rfc822 format available.

Message #46 received at 456165@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, 456165@bugs.debian.org
Subject: Re: ITP: handbrake -- Rips and encodes DVDs (was Bug#672561: libavcodec-dev: Missing /usr/include/libavcodec/audioconvert.h)
Date: Sat, 12 May 2012 11:40:10 -0400
On Sat, May 12, 2012 at 5:07 AM, Rogério Brito <rbrito@ime.usp.br> wrote:
> Hi, all.
>
> On Sat, May 12, 2012 at 3:46 AM, Reinhard Tartler <siretart@gmail.com> wrote:
>> The problem with that is that audioconvert.h is not part of the public
>> API. Moreover, most of the APIs have already been removed in current
>> libav/master in favor of the newly introduced libavresample library.
>> Therefore, I do not think it would be a good idea to start shipping
>> this header.
>
> OK.
>
>> The proper long-term solution is to port handbrake to 'libavresample'
>> (not yet uploaded to experimental, the packaging needs review, and is
>> not going to be included in wheezy). As short-term workaround, I'd
>> suggest to copy the parts of audioconvert.h and audioconvert.c to the
>> handbrake packaging.
>
> For the quick and dirty solution, I did just that, but the packaging
> is crufty. As I need to get some sleep right now, it will be great to
> see the package gain some love from others, even if we can't upload
> handbrake due to licensing and dependencies in time for wheezy.
>
> OTOH, it never hurts to be able to have the package in source form
> ready for a compilation to be used as we see fit, while the package
> has not hit the main archive.
>
>> That's excellent news! Thanks for working on it and count me in as
>> supporter (i.e., put me to Uploaders).
>
> Just did that and pushed my current changes to the repo:
>
>    http://anonscm.debian.org/gitweb/?p=pkg-multimedia/handbrake.git
>
> I hope that others will join me in getting it slowly in shape.
>
>
> Regards,
>
> --
> Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
> http://rb.doesntexist.org/blog : Projects : https://github.com/rbrito/
> DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br
>
> _______________________________________________
> pkg-multimedia-maintainers mailing list
> pkg-multimedia-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-multimedia-maintainers

I just noticed that libmkv was written specifically for handbrake. In
this case, I wouldn't even bother uploading libmkv separately and just
use whatever libmkv ships with handbrake.

-- 
~ Andres




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Sat, 12 May 2012 17:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Sat, 12 May 2012 17:39:06 GMT) Full text and rfc822 format available.

Message #51 received at 456165@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Andres Mejia <amejia004@gmail.com>
Cc: Rogério Brito <rbrito@ime.usp.br>, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, 456165@bugs.debian.org, Fabian Greffrath <fabian@greffrath.com>
Subject: Re: ITP: handbrake -- Rips and encodes DVDs (was Bug#672561: libavcodec-dev: Missing /usr/include/libavcodec/audioconvert.h)
Date: Sat, 12 May 2012 19:36:23 +0200
On Sat, May 12, 2012 at 5:40 PM, Andres Mejia <amejia004@gmail.com> wrote:

>
> I just noticed that libmkv was written specifically for handbrake. In
> this case, I wouldn't even bother uploading libmkv separately and just
> use whatever libmkv ships with handbrake.

TBH, I agree.

Fabian, this does not mean that your work on
git+ssh://git.debian.org/git/pkg-multimedia/libmkv was in vain. As
soon as some other package uses it, we can use your packaging and
upload to debian. But until then, we gain little to nothing by
shipping it outside of handbrake

-- 
regards,
    Reinhard




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Sat, 12 May 2012 18:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Sat, 12 May 2012 18:24:07 GMT) Full text and rfc822 format available.

Message #56 received at 456165@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: Reinhard Tartler <siretart@gmail.com>
Cc: Rogério Brito <rbrito@ime.usp.br>, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, 456165@bugs.debian.org, Fabian Greffrath <fabian@greffrath.com>
Subject: Re: ITP: handbrake -- Rips and encodes DVDs (was Bug#672561: libavcodec-dev: Missing /usr/include/libavcodec/audioconvert.h)
Date: Sat, 12 May 2012 14:19:18 -0400
On Sat, May 12, 2012 at 1:36 PM, Reinhard Tartler <siretart@gmail.com> wrote:
> On Sat, May 12, 2012 at 5:40 PM, Andres Mejia <amejia004@gmail.com> wrote:
>
>>
>> I just noticed that libmkv was written specifically for handbrake. In
>> this case, I wouldn't even bother uploading libmkv separately and just
>> use whatever libmkv ships with handbrake.
>
> TBH, I agree.
>
> Fabian, this does not mean that your work on
> git+ssh://git.debian.org/git/pkg-multimedia/libmkv was in vain. As
> soon as some other package uses it, we can use your packaging and
> upload to debian. But until then, we gain little to nothing by
> shipping it outside of handbrake
>
> --
> regards,
>     Reinhard

I was going off by the assumption that handbrake ships with libmkv,
but I found it doesn't. It simply downloads libmkv. I think it will be
easier to upload libmkv instead.

-- 
~ Andres




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Sun, 13 May 2012 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Sun, 13 May 2012 21:27:03 GMT) Full text and rfc822 format available.

Message #61 received at 456165@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Andres Mejia <amejia004@gmail.com>
Cc: Rogério Brito <rbrito@ime.usp.br>, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, 456165@bugs.debian.org
Subject: Re: ITP: handbrake -- Rips and encodes DVDs (was Bug#672561: libavcodec-dev: Missing /usr/include/libavcodec/audioconvert.h)
Date: Sun, 13 May 2012 23:24:09 +0200
Am Samstag, den 12.05.2012, 11:40 -0400 schrieb Andres Mejia:
> I just noticed that libmkv was written specifically for handbrake. In
> this case, I wouldn't even bother uploading libmkv separately and just
> use whatever libmkv ships with handbrake.

Really? I didn't know. I just read somewhere that it was forked off of
the MKV muxing code of the x264 frontend.

I'd consider the libmkv package ready for upload, BTW, but you already
guessed that yourself. ;)

 - Fabian






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Sun, 13 May 2012 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Mejia <amejia004@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Sun, 13 May 2012 22:27:03 GMT) Full text and rfc822 format available.

Message #66 received at 456165@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia004@gmail.com>
To: 456165@bugs.debian.org
Cc: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Subject: Re: Decent DVD rippers?
Date: Sun, 13 May 2012 18:26:23 -0400
On Sun, May 13, 2012 at 5:19 PM, Fabian Greffrath <fabian@greffrath.com> wrote:
> Am Freitag, den 11.05.2012, 16:10 -0400 schrieb Andres Mejia:
>> Could it use vo-aacenc as an alternate?
>
> I've never considered. It's not like vo-aacenc is a drop-in replacement
> for faac, their APIs appear quite dissimilar (IIRC vo-aacenc is C++
> while libfaac is C).

Yes it's not a drop-in replacement and I believe faac has some
features not available in vo-aacenc. I could be mistaken about the
features however.

>> It probably makes more sense to replace use of libmp4v2 with libav
>> instead anyway. mp4v2 upstream doesn't look very active IMO and it may
>> serve the handbrake project better to switch to something else.
>
> There is still atomicparsley as an alternative. The gtkpod mainatiners
> have just turned it into a GPL'ed library, cf.
> <http://old.nabble.com/Finally-pushed-alternative-to-libmp4v2-td33723081.html>
>
>  - Fabian
>
>

Ok, saving this little information about atomicparsley in the ITP bug
for handbrake.

-- 
~ Andres




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Mon, 21 May 2012 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Fabian Greffrath" <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Mon, 21 May 2012 21:57:03 GMT) Full text and rfc822 format available.

Message #71 received at 456165@bugs.debian.org (full text, mbox):

From: "Fabian Greffrath" <fabian@greffrath.com>
To: dvdnav-discuss@mplayerhq.hu
Cc: 456165@bugs.debian.org
Subject: Please add dvdnav_dup() and dvdnav_free_dup() functions from the handbrake project
Date: Mon, 21 May 2012 23:54:55 +0200
Dear libdvdnav devs,

please consider applying the following patch originating from the
handbrake project:
<https://github.com/HandBrake/HandBrake/blob/master/contrib/libdvdnav/A08-dvdnav-dup.patch>

It adds two new functions, dvdnav_dup() and dvdnav_free_dup(), that
duplicate a dvdnav_t object and remove a duplicate from memory,
respectively - well, at least roughly.

We (i.e. the pkg-multimedia-packages team in Debian) are currently trying
to get handbrake built cleanly against Debian's system libraries and this
patch is currently the only one that's missing to reach this goal. The
handbrake build system currently downloads the libdvdnav source code
(among others), patches it and builds a private library from it. Adding
the functions directly into the handbrake source code (instead of the
downloaded library) is impossible, because they need to know
sizeof(dvdnav_t), which is not part of libdvdnav's public API - which is
in turn reasonable.

So, please, having these two functions in the next libdvdnav release would
make it possible to build this huge OSS project that is handbrake using
only the distribution's libraries (apart from libfaac, of course, which is
prepared but still not in Debian, because it is considered non-free by our
FTP-Masters).

BTW, there are also some other interesting patches in handbrake's repos. ;)

Best regards,
Fabian






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Mon, 20 Aug 2012 06:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niv Sardi <xaiki@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Mon, 20 Aug 2012 06:48:06 GMT) Full text and rfc822 format available.

Message #76 received at 456165@bugs.debian.org (full text, mbox):

From: Niv Sardi <xaiki@debian.org>
To: 456165@bugs.debian.org
Subject: Show stopers for handbreak in debian ?
Date: Mon, 20 Aug 2012 03:43:34 -0300
[Message part 1 (text/plain, inline)]
Hello,

I have great interest in seeing handbreak in debian,
From the bug, I can read that there were missing dup/dup_free functions
in libdvdnav, they have been merged upstream, and are available in the
current libdvdnav package in debian.
the other issue seemed to be the mkvparse package, that is now in too.

what is missing to push handbreak into Debian ?

Thanks for you great effort !
-- 
Niv Sardi
-- Free Software hacker & hacktivist
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Mon, 27 Aug 2012 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Mon, 27 Aug 2012 08:15:03 GMT) Full text and rfc822 format available.

Message #81 received at 456165@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Niv Sardi <xaiki@debian.org>, 456165@bugs.debian.org
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Mon, 27 Aug 2012 10:17:06 +0200
Dear Niv,

thanks for your interest in handbrake and Debian.

Am 20.08.2012 08:43, schrieb Niv Sardi:
> what is missing to push handbreak into Debian ?

theoretically, i.e. from a strictly technical point of view, handbrake 
could get uploaded to Debian (preferably experimental) in its current 
form (i.e. with minor modifications). The drawbacks are (1) that it is 
missing AAC audio encoding because it uses
FAAC for that, which is considered non-free and (2) that it is missing 
MP4 muxing, because it uses libmp4v2 for that which is licensed uder 
the MPL, while the rest of handbrake and its components is licensed 
under the GPL and both licenses are incompatible.

So for now it only supports lame or vorbis for audio encoding and MKV 
muxing, which would be enough to provide a working DVD ripper, but 
renders the (Apple device oriented) presets system pretty useless.

 - Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Mon, 27 Aug 2012 12:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niv Sardi <xaiki@evilgiggle.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Mon, 27 Aug 2012 12:45:05 GMT) Full text and rfc822 format available.

Message #86 received at 456165@bugs.debian.org (full text, mbox):

From: Niv Sardi <xaiki@evilgiggle.com>
To: "Fabian Greffrath" <fabian@greffrath.com>
Cc: "Niv Sardi" <xaiki@debian.org>, 456165@bugs.debian.org
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Mon, 27 Aug 2012 09:43:37 -0300
Hi Fabian,

On Mon, Aug 27 2012, Fabian Greffrath wrote:
> Am 20.08.2012 08:43, schrieb Niv Sardi:
>> what is missing to push handbreak into Debian ?
>
> theoretically, i.e. from a strictly technical point of view, handbrake 
> could get uploaded to Debian (preferably experimental) in its current 
> form (i.e. with minor modifications).

Awesome, do you need sponsoring ?

> The drawbacks are (1) that it is missing AAC audio encoding because it
> uses FAAC for that, which is considered non-free.

I haven't built it (it actually failed and it's 6am here), but looking
through the source I could find reference to a FFAAC codec that seemed
to use libav's (ffmpeg) implementation. That doesn't work ?

> and (2) that it is missing MP4 muxing, because it uses libmp4v2 for
> that which is licensed uder the MPL, while the rest of handbrake and
> its components is licensed under the GPL and both licenses are
> incompatible.

That is annoying, and looking at muxmp4.c, not an easy thing to fix.
is handbreak the only consumer of that library ? 

I remember http://code.google.com/p/ffmbc/ is re-licencing ffmpeg from
lgpl to gpl on the fly. It's not ultra ethical, but I don't know if it's
illegal to do this with libmp4, maybe we can talk this upstream to get
it dual-licenced lgpl ?

> So for now it only supports lame or vorbis for audio encoding and MKV 
> muxing, which would be enough to provide a working DVD ripper, but 
> renders the (Apple device oriented) presets system pretty useless.

I think it's good enough, I'd say upload to experimental, and then we
see how we fix it.

--
Niv Sardi




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Mon, 27 Aug 2012 12:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Mon, 27 Aug 2012 12:57:06 GMT) Full text and rfc822 format available.

Message #91 received at 456165@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Niv Sardi <xaiki@debian.org>
Cc: 456165@bugs.debian.org, Rogério Brito <rbrito@ime.usp.br>
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Mon, 27 Aug 2012 14:58:51 +0200
Hi Niv,

Am 27.08.2012 14:43, schrieb Niv Sardi:
> Awesome, do you need sponsoring ?

No, thank you. Handbrake will be maintained in the pkg-multimedia team 
and we already have plenty of DDs to sponsor uploads. Maybe you are 
also interested to join?

> I haven't built it (it actually failed and it's 6am here), but looking
> through the source I could find reference to a FFAAC codec that seemed
> to use libav's (ffmpeg) implementation. That doesn't work ?

It does and you can explicitely select this codec from a dropdown menu 
if you like, but it's infamous for its "suboptimal" sound quality. We 
still have lame for MP3 encoded sound which would also fit into an MP4 
container.

> That is annoying, and looking at muxmp4.c, not an easy thing to fix.
> is handbreak the only consumer of that library ?

There was gtkpod, but it was fixed meanwhile to use another MP4 
library for the exact same reason. Spontanously, I don't know of any 
other consumer...

> I remember http://code.google.com/p/ffmbc/ is re-licencing ffmpeg from
> lgpl to gpl on the fly. It's not ultra ethical, but I don't know if it's
> illegal to do this with libmp4, maybe we can talk this upstream to get
> it dual-licenced lgpl ?

Our libav package (the same applies to our former ffmpeg package) is 
also already licensed under the GPL instead of LGPL, because it links 
against some GPL'ed libraries. We even had to bump the license version 
to 3, because we use libraries that are licensed under the MPL (mostly 
code from Android - including another AAC encoder, BTW).

I doubt that it's even possible for libmp4v2 upstream to relicense the 
code, because its originally copyrighted by the mpeg4ip project which 
has ceased in the meantime.

> I think it's good enough, I'd say upload to experimental, and then we
> see how we fix it.

Generally I agree, but Rogerio (CC'ed) also has a word to say about 
this. Rogerio?

 - Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Mon, 27 Aug 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Mon, 27 Aug 2012 13:39:03 GMT) Full text and rfc822 format available.

Message #96 received at 456165@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 456165@bugs.debian.org
Cc: Niv Sardi <xaiki@debian.org>, Rogério Brito <rbrito@ime.usp.br>
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Mon, 27 Aug 2012 15:40:27 +0200
Am 27.08.2012 14:58, schrieb Fabian Greffrath:
> against some GPL'ed libraries. We even had to bump the license version
> to 3, because we use libraries that are licensed under the MPL (mostly
> code from Android - including another AAC encoder, BTW).

s/MPL/Apache/




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Wed, 05 Sep 2012 07:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 05 Sep 2012 07:33:03 GMT) Full text and rfc822 format available.

Message #101 received at 456165@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: 456165@bugs.debian.org, Niv Sardi <xaiki@debian.org>
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Wed, 05 Sep 2012 09:33:32 +0200
Dear Rogério,

Am 27.08.2012 14:58, schrieb Fabian Greffrath:
> Am 27.08.2012 14:43, schrieb Niv Sardi:
>> I think it's good enough, I'd say upload to experimental, and then we
>> see how we fix it.
> Generally I agree, but Rogerio (CC'ed) also has a word to say about
> this. Rogerio?

hiding is futile, I can see that you are alive from your recent blog 
posts. ;)

Niv is interested in uploading the current state of handbrake to 
Debian experimental. Do you agree with this plan or are there any 
severe show stoppers left in your opinion?

 - Fabian




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Wed, 05 Sep 2012 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 05 Sep 2012 11:33:03 GMT) Full text and rfc822 format available.

Message #106 received at 456165@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: 456165@bugs.debian.org, Niv Sardi <xaiki@debian.org>
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Wed, 5 Sep 2012 08:29:49 -0300
Hi there.

On Sep 05 2012, Fabian Greffrath wrote:
> Dear Rogério,
> 
> Am 27.08.2012 14:58, schrieb Fabian Greffrath:
> >Am 27.08.2012 14:43, schrieb Niv Sardi:
> >>I think it's good enough, I'd say upload to experimental, and then we
> >>see how we fix it.
> >Generally I agree, but Rogerio (CC'ed) also has a word to say about
> >this. Rogerio?
> 
> hiding is futile, I can see that you are alive from your recent blog
> posts. ;)

Thanks for the lovely ping. :)

> Niv is interested in uploading the current state of handbrake to
> Debian experimental. Do you agree with this plan or are there any
> severe show stoppers left in your opinion?

Please, go ahead. There are some other points that we should work on, but no
showstopper (well, my private copy with FAAC and with mp4v2 *does* have
issues and is segfaulting in some ways, but I don't think that applies to
the the stripped down version in Debian).

Let's get it past the NEW queue so that we can upload some other incremental
things in further uploads, until we have something in shape.

Niv, it would be nice if you could add the DMUA flag set to yes, so that I
can upload newer versions (I am a DM).

Fabian, would you mind writing/adapting a script to strip down windows
binaries etc. from the upstream package? I could do that, but I'm quite busy
blogging :) right now. :) (not, not really). :)

Thanks,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org/blog : Projects : https://github.com/rbrito/
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Wed, 05 Sep 2012 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niv Sardi <xaiki@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 05 Sep 2012 11:39:03 GMT) Full text and rfc822 format available.

Message #111 received at 456165@bugs.debian.org (full text, mbox):

From: Niv Sardi <xaiki@debian.org>
To: Rogério Brito <rbrito@ime.usp.br>
Cc: Fabian Greffrath <fabian@greffrath.com>, 456165@bugs.debian.org
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Wed, 5 Sep 2012 08:37:13 -0300
[Message part 1 (text/plain, inline)]
As said, i'm happy to sponsor an upload. But wouldn't want to overstep DDs
in pkg-multimedia.

Fabian was seeming to say there are a lot there :)

Cheers,
-- 
mobile: http://three.sentenc.es
On 5 Sep 2012 08:30, "Rogério Brito" <rbrito@ime.usp.br> wrote:

> Hi there.
>
> On Sep 05 2012, Fabian Greffrath wrote:
> > Dear Rogério,
> >
> > Am 27.08.2012 14:58, schrieb Fabian Greffrath:
> > >Am 27.08.2012 14:43, schrieb Niv Sardi:
> > >>I think it's good enough, I'd say upload to experimental, and then we
> > >>see how we fix it.
> > >Generally I agree, but Rogerio (CC'ed) also has a word to say about
> > >this. Rogerio?
> >
> > hiding is futile, I can see that you are alive from your recent blog
> > posts. ;)
>
> Thanks for the lovely ping. :)
>
> > Niv is interested in uploading the current state of handbrake to
> > Debian experimental. Do you agree with this plan or are there any
> > severe show stoppers left in your opinion?
>
> Please, go ahead. There are some other points that we should work on, but
> no
> showstopper (well, my private copy with FAAC and with mp4v2 *does* have
> issues and is segfaulting in some ways, but I don't think that applies to
> the the stripped down version in Debian).
>
> Let's get it past the NEW queue so that we can upload some other
> incremental
> things in further uploads, until we have something in shape.
>
> Niv, it would be nice if you could add the DMUA flag set to yes, so that I
> can upload newer versions (I am a DM).
>
> Fabian, would you mind writing/adapting a script to strip down windows
> binaries etc. from the upstream package? I could do that, but I'm quite
> busy
> blogging :) right now. :) (not, not really). :)
>
> Thanks,
>
> --
> Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
> http://rb.doesntexist.org/blog : Projects : https://github.com/rbrito/
> DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Wed, 05 Sep 2012 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rogério Brito <rbrito@ime.usp.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 05 Sep 2012 11:57:03 GMT) Full text and rfc822 format available.

Message #116 received at 456165@bugs.debian.org (full text, mbox):

From: Rogério Brito <rbrito@ime.usp.br>
To: Niv Sardi <xaiki@debian.org>
Cc: Fabian Greffrath <fabian@greffrath.com>, 456165@bugs.debian.org
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Wed, 5 Sep 2012 08:52:24 -0300
Hi, Niv.

On Wed, Sep 5, 2012 at 8:37 AM, Niv Sardi <xaiki@debian.org> wrote:
> As said, i'm happy to sponsor an upload. But wouldn't want to overstep DDs
> in pkg-multimedia.

I don't think that anybody in pkg-multimedia would mind you uploading
to the the NEW queue barrier done, especially now that the ftpmasters
may be more strict with approvals of new packages (is this impression
of mine really true?).

> Fabian was seeming to say there are a lot there :)

Not really sure about the lot, but I agree with everything that Fabian
has said. Well, if I don't agree, I will point those things out. :)


Thanks,

-- 
Rogério Brito : rbrito@{ime.usp.br,gmail.com} : GPG key 4096R/BCFCAAAA
http://rb.doesntexist.org/blog : Projects : https://github.com/rbrito/
DebianQA: http://qa.debian.org/developer.php?login=rbrito%40ime.usp.br



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Wed, 05 Sep 2012 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 05 Sep 2012 12:18:03 GMT) Full text and rfc822 format available.

Message #121 received at 456165@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: Rogério Brito <rbrito@ime.usp.br>, 456165@bugs.debian.org
Cc: Niv Sardi <xaiki@debian.org>
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Wed, 05 Sep 2012 14:19:22 +0200
Am 05.09.2012 13:52, schrieb Rogério Brito:
> I don't think that anybody in pkg-multimedia would mind you uploading
> to the the NEW queue barrier done, especially now that the ftpmasters

Most definitely not, we are a very friendly team and welcome every 
helping hand. I could not imagine Reinhard or Andres (the to others 
listed as Uploaders) would mind if you sponsored an Upload. Although 
joining the team and adding yourself to Uploaders would be 
appreciated, of course.

> may be more strict with approvals of new packages (is this impression
> of mine really true?).

I guess so. We are in a freeze and I believe they have more important 
things to do.

> Not really sure about the lot, but I agree with everything that Fabian
> has said. Well, if I don't agree, I will point those things out. :)

In one of his previous mails Niv told me that handbrake would 
currently FTBFS. I am not sure why this happens, but it may be due to 
Debian's unpatched a52dec library and handbrake patch 0009 being disabled.

Apart from that, IMHO all that's needed is a rebuild of the source 
tarball. Unfortunately, I don't have the spare time right now to do 
this myself and I am not sure about integration with uscan(1).

 - Fabian





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Wed, 05 Sep 2012 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 05 Sep 2012 12:27:04 GMT) Full text and rfc822 format available.

Message #126 received at 456165@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 456165@bugs.debian.org
Cc: Rogério Brito <rbrito@ime.usp.br>, Niv Sardi <xaiki@debian.org>
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Wed, 05 Sep 2012 14:28:32 +0200
Am 05.09.2012 14:19, schrieb Fabian Greffrath:
> In one of his previous mails Niv told me that handbrake would
> currently FTBFS. I am not sure why this happens, but it may be due to
> Debian's unpatched a52dec library and handbrake patch 0009 being
> disabled.

I couldn't confirm this in my local i386 build, but we need to get rid 
of ccache and get a decent changelog entry first. ;)




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Wed, 05 Sep 2012 12:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niv Sardi <xaiki@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 05 Sep 2012 12:30:03 GMT) Full text and rfc822 format available.

Message #131 received at 456165@bugs.debian.org (full text, mbox):

From: Niv Sardi <xaiki@debian.org>
To: Fabian Greffrath <fabian@greffrath.com>
Cc: Rogério Brito <rbrito@ime.usp.br>, 456165@bugs.debian.org
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Wed, 5 Sep 2012 09:27:02 -0300
[Message part 1 (text/plain, inline)]
I have a quite busy couple of days,
If you guys can put it in shape by Friday, I'll upload.
If not, I guess I'll have to work :)
Cheers
-- 
mobile: http://three.sentenc.es
On 5 Sep 2012 09:24, "Fabian Greffrath" <fabian@greffrath.com> wrote:

> Am 05.09.2012 14:19, schrieb Fabian Greffrath:
>
>> In one of his previous mails Niv told me that handbrake would
>> currently FTBFS. I am not sure why this happens, but it may be due to
>> Debian's unpatched a52dec library and handbrake patch 0009 being
>> disabled.
>>
>
> I couldn't confirm this in my local i386 build, but we need to get rid of
> ccache and get a decent changelog entry first. ;)
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Tue, 11 Sep 2012 03:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niv Sardi <xaiki@evilgiggle.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Tue, 11 Sep 2012 03:06:03 GMT) Full text and rfc822 format available.

Message #136 received at 456165@bugs.debian.org (full text, mbox):

From: Niv Sardi <xaiki@evilgiggle.com>
To: "Niv Sardi" <xaiki@evilgiggle.com>
Cc: "Fabian Greffrath" <fabian@greffrath.com>, "Niv Sardi" <xaiki@debian.org>, 456165@bugs.debian.org
Subject: Re: Bug#456165: Show stopers for handbreak in debian ?
Date: Tue, 11 Sep 2012 00:03:22 -0300
je... 
sorry for the delay, Real Life, y'know...
I was about to upload, but I see Reinhard already uploaded it. awesome =)

cheers,
-- 
Niv Sardi
%% Free Software hacker & hacktivist



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Wed, 12 Sep 2012 11:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Brooks <askoorb+debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Wed, 12 Sep 2012 11:48:05 GMT) Full text and rfc822 format available.

Message #141 received at 456165@bugs.debian.org (full text, mbox):

From: Alex Brooks <askoorb+debian@gmail.com>
To: 456165@bugs.debian.org
Subject: Details from Handbrake as to why it is statically linked to libraries
Date: Wed, 12 Sep 2012 12:45:33 +0100
Hello,

I'm new to the Debian bugs system, so please excuse me if I break etiquette.

I'm really looking forward to Handbrake being available in the main
repositories, but I thought that the packagers need to be aware of
some information that the Handbrake devs have written about why they
statically link to libraries.

First, from their development FAQ (https://trac.handbrake.fr/wiki/SupportFAQ):

>Why doesn't HandBrake use my system libraries?
>HandBrake requires a lot of control over the specific versions of 3rd party libraries it utilizes. To make sure everything is to its specifications, it downloads and builds most of its dependencies and statically links them, all without touching your system libraries."

and

>"Why can't I build HandBrake? x264 fails to compile and then libhb does too.
>You need to build and install yasm for x264 to use cpu acceleration."

Also, in the source, there is a file called README.debian.  I've
pasted the contents of the file at the bottom of this message.  It's
very informative.

Thanks, and good luck with getting Handbrake packaged up!

Alex Brooks

======================

handbrake for Debian
--------------------

HandBrake bundles its own copies of ffmpeg and related media libraries. This is
an upstream decision that the Ubuntu maintainers will respect.

This is done by running contrib/getcontrib.sh which wgets each library from
HandBrake's website.


Upstream has asked us to do this because they have modified their libraries to
address the finickiness of the platforms that they support, along with
prerelease patches that add support for advanced HandBrake functionality such as
surround-sound downmixing.

HandBrake then statically links against these libraries, and they are not
installed to the system so it doesn't interfere with other parts of the system.
Different or older versions of these packages are included in the Ubuntu
distribution already, and have passed our guidelines for Multiverse inclusion.


=== Detailed Breakdown of Bundled Libraries and Reasons ===

a52dec - 0.7.4
patch to allow downmix to dolby prologic ii

faad2 2.6.1
patch to configure.ac so it will build with libtool 2.2.x

ffmpeg svn 15462
patch for building on beos
patch that adds aac-latm codec
patch fixes memory leak provoked by h264 streams with lots of errors
patch for cygwin
patch for solaris

libdca svn 81
newer than released version

libdvdread 0.9.7
patch for os x, changes path to dvdcss
patch for cygwin, configure fixes

faac
patch for cygwin configure

lame version 3.98

libmp4v2 svn 45
project was stagnant. using a fork that has picked up development

libmkv 0.6.3

mpeg2dec 0.5.1

libogg 1.1.3

libsamplerate 0.1.4

libvorbis aotuv fork b5

libtheora 1.0

libx264 git 1028
patch for cygwin configure
patch for solaris build scripts
patch to allow forcing an IDR frame

xvidcore 1.1.3
patch for os x configure
patch for cygwin configure
patch configure to recognize nasm 2.0

 -- John Dong <jdong@ubuntu.com>  Fri, 28 Nov 2008 14:17:16 -0500



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Thu, 13 Sep 2012 13:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 13 Sep 2012 13:51:05 GMT) Full text and rfc822 format available.

Message #146 received at 456165@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Alex Brooks <askoorb+debian@gmail.com>, 456165@bugs.debian.org
Subject: Re: Bug#456165: Details from Handbrake as to why it is statically linked to libraries
Date: Thu, 13 Sep 2012 15:46:27 +0200
On Wed, Sep 12, 2012 at 1:45 PM, Alex Brooks <askoorb+debian@gmail.com> wrote:
> Hello,
>
> I'm new to the Debian bugs system, so please excuse me if I break etiquette.
No, you're doing perfectly fine!

> I'm really looking forward to Handbrake being available in the main
> repositories, but I thought that the packagers need to be aware of
> some information that the Handbrake devs have written about why they
> statically link to libraries.
>
> First, from their development FAQ (https://trac.handbrake.fr/wiki/SupportFAQ):
>
>>Why doesn't HandBrake use my system libraries?
>>HandBrake requires a lot of control over the specific versions of 3rd party libraries it utilizes. To make sure everything is to its specifications, it downloads and builds most of its dependencies and statically links them, all without touching your system libraries."
>

That's an perfectly understandable reasoning from an upstream
perspective. The problem is that this conflicts with the requirements
of a distribution of the size of Debian. Here, shipping the same piece
of software in different versions embedded in other packages makes the
life of package maintainers, release managers, archive administrators
and the security team unnecessarily hard. Therefore, we cannot accept
this and need patch the software to work with the system provided
libraries.


> and
>
>>"Why can't I build HandBrake? x264 fails to compile and then libhb does too.
>>You need to build and install yasm for x264 to use cpu acceleration."

Debian does already ship a working copy of x264. Handbrake should just use it.

> Also, in the source, there is a file called README.debian.  I've
> pasted the contents of the file at the bottom of this message.  It's
> very informative.
>
> Thanks, and good luck with getting Handbrake packaged up!
>
> Alex Brooks
>
> ======================
>
> handbrake for Debian
> --------------------
>
> HandBrake bundles its own copies of ffmpeg and related media libraries. This is
> an upstream decision that the Ubuntu maintainers will respect.

Yes, that may be fine for ubuntu, and might be fine for
debian/experimental. It is certainly unacceptable for a debian stable
release. Having said this, I'd be OK to have embedded libraries in an
upload to experimental.

> This is done by running contrib/getcontrib.sh which wgets each library from
> HandBrake's website.

Yeah, the autobuilders in both debian and ubuntu do not have access to
the internet at compilation time. Therefore, the parts of the build
scripts that download stuff need to be disabled and all sources need
to be available in the source package.

>
> Upstream has asked us to do this because they have modified their libraries to
> address the finickiness of the platforms that they support, along with
> prerelease patches that add support for advanced HandBrake functionality such as
> surround-sound downmixing.

Again, that's understandable, but more a workaround than a solution.

> HandBrake then statically links against these libraries, and they are not
> installed to the system so it doesn't interfere with other parts of the system.
> Different or older versions of these packages are included in the Ubuntu
> distribution already, and have passed our guidelines for Multiverse inclusion.

As indicated above, this static linking is what makes packaging
handbrake challenging.

>
> === Detailed Breakdown of Bundled Libraries and Reasons ===
>
> a52dec - 0.7.4
> patch to allow downmix to dolby prologic ii

Can be included in the distro package

> faad2 2.6.1
> patch to configure.ac so it will build with libtool 2.2.x

Not necessary when using the system copy

>
> ffmpeg svn 15462
> patch for building on beos
> patch that adds aac-latm codec
> patch fixes memory leak provoked by h264 streams with lots of errors
> patch for cygwin
> patch for solaris

debian does not support beos, cygwin or solaris, so those patches are
irrelevant. Debian's libavcodec does support aac-latm already. I'm not
sure about the memory leak fix, but that fix should be fixed upstream
in any case.

> libdca svn 81
> newer than released version

We can update the system copy of the library, no problem here.

> libdvdread 0.9.7
> patch for os x, changes path to dvdcss
> patch for cygwin, configure fixes

all of those do not affect debian.

> faac
> patch for cygwin configure

please see https://bugs.launchpad.net/ubuntu/+source/faac/+bug/374900

My understanding is that including faac in GPL'ed binaries as
Handbrake does results in unredistributable binaries.

> lame version 3.98

What about it?

> libmp4v2 svn 45
> project was stagnant. using a fork that has picked up development

So?

> libmkv 0.6.3
>
> mpeg2dec 0.5.1
>
> libogg 1.1.3
>
> libsamplerate 0.1.4
>
> libvorbis aotuv fork b5
>
> libtheora 1.0
>
> libx264 git 1028
> patch for cygwin configure
> patch for solaris build scripts
> patch to allow forcing an IDR frame
>
> xvidcore 1.1.3
> patch for os x configure
> patch for cygwin configure
> patch configure to recognize nasm 2.0

All of those are no problem to not use the system provided version.


-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org:
Bug#456165; Package wnpp. (Thu, 13 Sep 2012 14:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, pkg-multimedia-maintainers@lists.alioth.debian.org. (Thu, 13 Sep 2012 14:09:02 GMT) Full text and rfc822 format available.

Message #151 received at 456165@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 456165@bugs.debian.org
Cc: Alex Brooks <askoorb+debian@gmail.com>
Subject: Re: Bug#456165: Details from Handbrake as to why it is statically linked to libraries
Date: Thu, 13 Sep 2012 16:10:51 +0200
Am 13.09.2012 15:46, schrieb Reinhard Tartler:
>> libdca svn 81
>> newer than released version
> We can update the system copy of the library, no problem here.

Nope, the release was tagged with commit 82 and I have applied most 
subsequent patches up to commit 89.

 - Fabian




Reply sent to Mònica Ramírez Arceda <monica@debian.org>:
You have taken responsibility. (Thu, 04 Oct 2012 07:09:07 GMT) Full text and rfc822 format available.

Notification sent to Josh Triplett <josh@joshtriplett.org>:
Bug acknowledged by developer. (Thu, 04 Oct 2012 07:09:07 GMT) Full text and rfc822 format available.

Message #156 received at 456165-done@bugs.debian.org (full text, mbox):

From: Mònica Ramírez Arceda <monica@debian.org>
To: 456165-done@bugs.debian.org
Subject: bug 456165 is ITP for package handbrake already in Debian
Date: Thu, 04 Oct 2012 08:56:53 +0200
[Message part 1 (text/plain, inline)]
Hi, 

I'm closing this ITP bug manually because this packages is already in
Debian: http://packages.qa.debian.org/h/handbrake.html


[signature.asc (application/pgp-signature, inline)]

Reply sent to Mònica Ramírez Arceda <monica@debian.org>:
You have taken responsibility. (Thu, 04 Oct 2012 07:09:08 GMT) Full text and rfc822 format available.

Notification sent to Stuckey <james.stuckey@stud-mail.uni-wuerzburg.de>:
Bug acknowledged by developer. (Thu, 04 Oct 2012 07:09:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Nov 2012 07:29:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 19:42:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.